

jfs is dropping inode_setattr()'s return value.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/jfs/acl.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/jfs/acl.c~jfs_setattr-fix fs/jfs/acl.c
--- 25/fs/jfs/acl.c~jfs_setattr-fix	2004-06-26 14:41:27.039360304 -0700
+++ 25-akpm/fs/jfs/acl.c	2004-06-26 14:41:39.249504080 -0700
@@ -281,9 +281,9 @@ int jfs_setattr(struct dentry *dentry, s
 	if (rc)
 		return rc;
 
-	inode_setattr(inode, iattr);
+	rc = inode_setattr(inode, iattr);
 
-	if (iattr->ia_valid & ATTR_MODE)
+	if (!rc && (iattr->ia_valid & ATTR_MODE))
 		rc = jfs_acl_chmod(inode);
 
 	return rc;
_
